SbVec4s(3)

NAME
SbVec4s

SYNOPSIS

#include <Inventor/SbVec4s.h>

  Public Member Functions
SbVec4s (const short v[4])
SbVec4s (short x, short y, short z, short w)
SbVec4s (const SbVec4us &v)
SbVec4s (const SbVec4b &v)
SbVec4s (const SbVec4i32 &v)
SbVec4s (const SbVec4f &v)
SbVec4s (const SbVec4d &v)
SbVec4s & setValue (const short v[4])
SbVec4s & setValue (short x, short y, short z, short w)
SbVec4s & setValue (const SbVec4s &v)
SbVec4s & setValue (const SbVec4us &v)
SbVec4s & setValue (const SbVec4b &v)
SbVec4s & setValue (const SbVec4i32 &v)
SbVec4s & setValue (const SbVec4f &v)
SbVec4s & setValue (const SbVec4d &v)
const short * getValue (void) const
void getValue (short &x, short &y, short &z, short &w) const
short & operator[] (int i)
const short & operator[] (int i) const
int32_t dot (const SbVec4s &v) const
void negate (void)
SbVec4s & operator*= (int d)
SbVec4s & operator*= (double d)
SbVec4s & operator/= (int d)
SbVec4s & operator/= (double d)
SbVec4s & operator+= (const SbVec4s &v)
SbVec4s & operator-= (const SbVec4s &v)
SbVec4s operator- (void) const

  Protected Attributes
short vec [4]

Detailed Description

Since
    Coin 2.5

Author

Generated automatically by Doxygen for Coin from the source code.